MAINTAINERCLEANFILES = Makefile.in

bin_PROGRAMS = netbook-launcher-efl

SOURCES = main.c win.c sidebar.c apps.c app_item.c places.c places_folders.c \
          places_storage.c places_recent.c preferences.c error.c gstuff.c \
          bg.c launchfeedback.c icon.c icon_async.c conf.c kbdnav.c sound.c \
          add_item.c

if USE_GOOGLE_GADGETS
SOURCES += gadget_item.c evas_cairo.c
endif

netbook_launcher_efl_SOURCES = $(SOURCES)

netbook_launcher_efl_CPPFLAGS = \
-I$(top_srcdir) -I$(top_builddir) \
-DPACKAGE_DATA_DIR=\"$(datadir)/$(PACKAGE)\" \
-DPKGDATADIR=\"$(datadir)/$(PACKAGE)/data\" \
-DDATADIR=\"$(datadir)\" \
-DLOCALEDIR=\"$(localedir)\" \
-DGETTEXT_PACKAGE=\"$(PACKAGE)\" \
-DWNCK_I_KNOW_THIS_IS_UNSTABLE=1 \
@NETBOOK_LAUNCHER_CFLAGS@ @GOOGLE_GADGETS_CFLAGS@

netbook_launcher_efl_LDADD = @NETBOOK_LAUNCHER_LIBS@ @GOOGLE_GADGETS_LIBS@

noinst_HEADERS = netbook-launcher.h

EXTRA_DIST = netbook-launcher.h
